> ## Documentation Index
> Fetch the complete documentation index at: https://product-discovery.developer.voyado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Remove Customer Job

> The remove customer data job removes all available data in Elevate related to a visitor.

The remove customer data job removes all available data in Elevate related to a visitor. More GDPR information is <a href="https://help.elevate.voyado.com/hc/en-gb/articles/19750558029212-GDPR-data-management">available here</a>.

```http theme={null}
POST https://{cluster-id}.elevate-api.cloud/api/admin/v4/event-data/create-remove-customer-job
```

## Request

<AccordionGroup>
  <Accordion title="Request header parameters">
    | Name        | Description                         | Example       |
    | ----------- | ----------------------------------- | ------------- |
    | `Api-Key`\* | API key supplied during onboarding. | `123456789..` |
  </Accordion>

  <Accordion title="Request query parameters">
    | Name            | Description                         | Example                                |
    | --------------- | ----------------------------------- | -------------------------------------- |
    | `customerKey`\* | The customerKey to export data for. | `e3921377-18a2-47c9-a449-06b894898623` |
  </Accordion>

  <Accordion title="Example request">
    ```bash title="bash" theme={null}
    curl -i \
    -X POST \
    -H 'Api-Key: 123456789..' \
    "https://{cluster-id}.elevate-api.cloud/api/admin/v4/event-data/create-remove-customer-job?customerKey=customerKey"
    ```
  </Accordion>
</AccordionGroup>

## Response

<AccordionGroup>
  <Accordion title="Response codes">
    | Status | Description                            |
    | ------ | -------------------------------------- |
    | `403`  | Incorrect cluster credentials.         |
    | `400`  | Invalid or missing required arguments. |
    | `200`  | Request accepted, remove job created   |
  </Accordion>

  <Accordion title="Example response">
    ```json theme={null}
    {
      "jid" : "962d41f3-1a53-4bb8-bd01-3b85310fb45f",
      "status" : "created"
    }
    ```
  </Accordion>

  <Accordion title="Response body schema">
    #### EventDataJobResult

    The object representation of create or checking the status of a event data job.

    | Name   | Type   | Description                                                                                                                                     |
    | ------ | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------- |
    | jid    | string | The identifier of the event data job.<br /><br />Examples: `"962d41f3-1a53-4bb8-bd01-3b85310fb45f"`                                             |
    | status | string | The current status of the job Supported values: `not_found`, `created`, `waiting`, `running`, `done`, `error`.<br /><br />Examples: `"created"` |
  </Accordion>
</AccordionGroup>
